Cara mengemas kini gstreamer0.10-plugins-bad di LMDE RC 201108

Dalam penyelenggaraan

Selepas pemasangan LMDE RC 201108 hanya ada satu pakej yang memberikan ralat semasa mengemas kini: gstreamer0.10-plugins-bad.

Nasib baik penyelesaian untuk masalah ini sangat mudah dan cepat. Kami membuka terminal dan log masuk sebagai akar atau kita gunakan sudo, seperti yang berlaku LMDE, dengan arahan berikut.

$ sudo dpkg -i --force-overwrite /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb

Dan kita harus mendapat sesuatu seperti ini:

(Membaca pangkalan data ... 158926 fail dan direktori sedang dipasang.) Bersedia untuk menggantikan gstreamer0.10-plugins-bad 0.10.22-2 (menggunakan ... / gstreamer0.10-plugins-bad_0.10.22-3_i386.deb). .. Membongkar gstreamer0.10-plugins-bad ... dpkg: peringatan: mengatasi masalah kerana --force diaktifkan: cuba menimpa '/usr/lib/gstreamer-0.10/libgstxvid.so', yang juga terdapat dalam paket gstreamer0.10 .0.10.22-plugins-really-bad 0.1-0.10 Menyiapkan gstreamer0.10.22-plugins-bad (3-2.0) ... Memproses pemicu untuk libglib0-XNUMX ...

Sedia. Kami ada gstreamer dipasang dan dikemas kini 😀

 


Kandungan artikel mematuhi prinsip kami etika editorial. Untuk melaporkan ralat, klik di sini.

5 komen, tinggalkan komen anda

Tinggalkan komen anda

Alamat email anda tidak akan disiarkan. Ruangan yang diperlukan ditanda dengan *

*

*

  1. Bertanggungjawab atas data: Miguel Ángel Gatón
  2. Tujuan data: Mengendalikan SPAM, pengurusan komen.
  3. Perundangan: Persetujuan anda
  4. Komunikasi data: Data tidak akan disampaikan kepada pihak ketiga kecuali dengan kewajiban hukum.
  5. Penyimpanan data: Pangkalan data yang dihoskan oleh Occentus Networks (EU)
  6. Hak: Pada bila-bila masa anda boleh menghadkan, memulihkan dan menghapus maklumat anda.

  1.   Dario Freijé kata

    Terima kasih banyak-banyak! Ia berjaya dari 10.
    Saya terjebak dalam pakej itu semasa saya mahu mengemas kini dan tidak meneruskan kemas kini 418 yang lain.

    1.    elav <° Linux kata

      Saya gembira ia melayani anda 😀

  2.   aciguembre kata

    Nah, ini nampak pada saya….

    (Leyendo la base de datos ... 152219 ficheros o directorios instalados actualmente.)
    Preparando para reemplazar gstreamer0.10-plugins-bad 0.10.22-2 (usando .../gstreamer0.10-plugins-bad_0.10.22-3_i386.deb) ...
    Desempaquetando el reemplazo de gstreamer0.10-plugins-bad ...
    dpkg-deb (subproceso): datos: error interno de lectura de gzip `: data error'
    dpkg-deb: error: el subproceso devolvió el código de salida de error 2
    dpkg: error al procesar /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb (--install):
    el subproceso dpkg-deb --fsys-tarfile devolvió el código de salida de error 2
    Procesando disparadores para libglib2.0-0 ...
    Se encontraron errores al procesar:
    /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb
    portatil@portatil ~ $

    Bolehkah saya melakukan sesuatu untuk membetulkannya?
    Terima kasih kerana blog anda. Saya harap dapat banyak belajar daripada anda !!

  3.   jack kata

    Saya memasang lmde 201109 dan ketika saya melakukan kemas kini pertama, saya mendapat ralat untuk pakej yang rosak sehingga saya mengemas kini dari terminal dengan kemas kini sudo apt-get dan sudo apt-get dist-upgrade dan semuanya berjalan dengan sempurna pada akhirnya saya menggunakan sudo apt-get - f pasang selepas beberapa hari saya menghadapi masalah (itu adalah kesalahan saya) dan saya terpaksa memasang semula ketika saya cuba melakukan pembaruan sekali lagi saya mendapat ralat dengan gstreamer dan cuba memperbaikinya dengan banyak cara dan saya tidak dapat menggunakan sudo dpkg -i –force -overwrite dan walaupun begitu saya tidak pergi, sudah putus asa saya melakukan sesuatu yang sangat konyol tetapi berjaya! Kemas kini hapus centang pada gstreamer pada akhirnya pasang gstreamer dan jangan lagi menandakan ralat walaupun dari terminal menggunakan sudo pat-get -f pasang, saya harap dapat membantu

  4.   OlimasterX kata

    Terima kasih banyak-banyak!!